﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using SequentialWorkflowInputOutputTestConsole.Entities;

namespace SequentialWorkflowInputOutputTestConsole
{
	public partial class Activity1: Activity
	{
		public Activity1()
		{
			InitializeComponent();
		}

        public static DependencyProperty ProductProperty = DependencyProperty.Register(
            "Product", typeof(ProductInfo), typeof(Activity1));

        public ProductInfo Product
        {
            get { return (ProductInfo)base.GetValue(ProductProperty); }
            set { base.SetValue(ProductProperty, value); }
        }

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            Console.WriteLine("Product Information in Activity 1.......");
            Console.WriteLine(string.Format("Id = {0}, Name = {1}, Price = {2}",this.Product.Id,this.Product.Name,this.Product.Price));

            this.Product = new ProductInfo { Id = 1, Name = "Product in Activity1", Price = 1000 };

            return ActivityExecutionStatus.Closed;
        }
	}
}
